package com.roy.distId;

import me.ahoo.cosid.segment.SegmentId;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;

/**
 * Author： roy
 * Description：
 **/
@SpringBootTest
@RunWith(SpringRunner.class)
public class SegmentIDTest {

    @Resource
    private SegmentId segmentId;

    @Test
    public void getId(){
        for (int i = 0; i < 100; i++) {
            System.out.println(segmentId.generate());
        }
    }

}
